/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "common.h"

struct AdmctlMigrationPolicy {
  /**
   * @brief 三员模块的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 允许root执行的命令
   * @detail 对应json里`only_root_cmd_list`
   */
  struct MigrationStringList root_allowed;

  /**
   * @brief 允许secadm执行的命令
   * @detail 对应json里`only_secadm_cmd_list`
   */
  struct MigrationStringList secadm_allowed;

  /**
   * @brief 允许auditadm执行的命令
   * @detail 对应json里`only_auditadm_cmd_list`
   */
  struct MigrationStringList auditadm_allowed;

  /**
   * @brief 不允许所有用户执行的命令
   * @detail 对应json里`only_all_user_cmd_list`
   */
  struct MigrationStringList deny_all;

  /**
   * @brief 对应json里同名字段
   */
  struct MigrationStringList permissive_3adm_soft_list;
};
