/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "../devctl.h"

struct DevctlMigrationPolicy {
  /**
   * @brief 设备管控的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief usb大类管控开关的状态
   * @detail 0：按子类策略生效，1：放开，2：禁用
   */
  int usb_group_perm;

  /**
   * @brief 所有根据类型进行管控的策略
   */
  struct kysec_scene_devctl_type_policy *type_policy_list;

  int type_policy_count;

  /**
   * @brief 所有根据pvid进行管控的策略
   */
  struct kysec_scene_devctl_pvid_policy *pvid_policy_list;

  int pvid_policy_count;

  /**
   * @brief 所有根据网卡名来管控网卡设备的策略
   */
  struct kysec_scene_devctl_netcard_policy *netcard_policy_list;

  int netcard_policy_count;
};
