/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

struct ExectlMigrationPolicy {
  /**
   * @brief 执行控制的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief `enum kysec_exectl_strategy_type`
   * @detail 执行管控的生效方式，是基于签名还是度量
   *         负数或者无效的enum值表示策略里没有这一项或者这一项的数值不合法
   *         一般v10才会是负数（因为v10没有这个东西）
   */
  int strategy;

  /**
   * @brief `enum kysec_exectl_temporaryctl_strategy_type`
   * @detail 执行管控中，临时文件的管控方式
   *         是仅放行软件包执行自己的临时文件，还是允许所有临时文件执行
   *         负数或者无效的enum值表示策略里没有这一项或者这一项的数值不合法
   *         一般v10才会是负数（因为v10没有这个东西）
   */
  int temporaryctl_strategy;
};
