/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "common.h"

struct FilectlMigrationPolicy {
  /**
   * @brief 文件保护的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 所有被保护的文件的路径
   */
  struct MigrationStringList file_protect_list;

  /**
   * @brief 自保护的文件列表
   */
  struct MigrationStringList self_protect_list;

  /**
   * @brief 所有特权程序（文件路径）
   */
  struct MigrationStringList process_trust_list;

  /**
   * @brief 所有特权程序（软件包）
   */
  struct MigrationStringList app_trust_list;
};
