/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "../kidctl.h"
#include "common.h"

struct KidctlMigrationPolicy {
  /**
   * @brief kid的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 所有策略
   */
  struct kysec_scene_kid_policy *policy_list;

  int policy_count;

  /**
   * @brief 所有的kid软件
   */
  struct kysec_scene_kid_subject *app_list;

  int app_count;

  /**
   * @brief 所有隐私资源路径
   */
  struct MigrationStringList resource_list;

  /**
   * @brief 所有设备黑名单
   */
  struct kysec_scene_kid_device_blacklist *device_blacklist;

  int device_blacklist_count;
};
