/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "common.h"

struct NetctlMigrationPolicy {
  /**
   * @brief 联网管控的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 所有受管控的文件路径
   */
  struct MigrationStringList path_list;

  /**
   * @brief 所有受管控的软件包
   */
  struct MigrationStringList package_list;

  /**
   * @brief 所有不弹窗的文件路径
   */
  struct MigrationStringList path_no_alarm_list;

  /**
   * @brief 所有不弹窗的软件包
   */
  struct MigrationStringList package_no_alarm_list;
};
