/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "common.h"

struct StaticMeaureMigrationPolicy {
  /**
   * @brief 静态度量的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 已添加的检查点
   * @detail 对应json里的权限字段
   */
  struct MigrationStringList checkpoint_list;

  /**
   * @brief 所有被静态度量的普通文件路径
   * @detail 对应json里的`static_measure_files`
   */
  struct MigrationStringList file_path_list;

  /**
   * @brief 所有被静态度量的内核模块文件路径
   * @detail 对应json里的`static_measure_kmod_files`
   */
  struct MigrationStringList kmod_path_list;

  /**
   * @brief 对应json的no_measure_filesystem
   * @detail 对应json里的`not_measure_filesystem`
   */
  struct MigrationStringList no_measure_filesystem_list;
};
